## python-defaults 2.3.4-1

=== debian/changelog ===
python-defaults (2.3.4-1) unstable; urgency=low

  * Depend on python2.3-2.3.4 packages.
  * Update FAQ.

 -- Matthias Klose <doko@debian.org>  Sun, 30 May 2004 11:08:33 +0200

python-defaults (2.3.3-7) unstable; urgency=low

  * Fix symlinks to proposed policy files (closes: #234874).

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2004 22:28:07 +0100

python-defaults (2.3.3-6) unstable; urgency=low

  * Build the default packages from a separate source package to ease
    migration between python versions.
  * Update to the proposed python-policy: byte-compile using -E.

 -- Matthias Klose <doko@debian.org>  Wed,  4 Feb 2004 23:16:35 +0100

## python-defaults 2.6.6-3+squeeze6

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	rm -f .coverage

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python/runtime.d \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python/runtime.d/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/
	$(INSTALL) -m 755 dh_python2 $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 644 python2.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python/debpython/
	$(INSTALL) -m 755 pycompile $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 755 pyclean $(DESTDIR)$(PREFIX)/bin/

install: install-dev install-runtime

dist_fallback:
	make -C pydist $@

nose:
	nosetests --with-doctest --with-coverage

tests: nose
	make -C tests

test%:
	make -C tests $@

check_versions:
	@PYTHONPATH=. set -e; \
	DEFAULT=`python -c 'import debpython.version as v; print v.vrepr(v.DEFAULT)'`;\
	SUPPORTED=`python -c 'import debpython.version as v; print " ".join(sorted(v.vrepr(v.SUPPORTED)))'`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0.9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo 'Please update DEFAULT in debpython/version.py' >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo 'Please update SUPPORTED in debpython/version.py' >/dev/stderr; false)

.PHONY: clean tests test% check_versions

=== tests/Makefile ===
#!/usr/bin/make -f

all: test1

test%:
	(cd t$*; debuild -us -uc)

clean:
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb
	(cd t1; ./debian/rules clean)
	@find . -name '*\.egg-info' -exec rm -rf "{}" \; || true

.PHONY: clean

## python-defaults 2.3.4-1ubuntu1

=== debian/changelog ===
python-defaults (2.3.4-1ubuntu1) warty; urgency=low

  * Add build dependency on python-docutils (closes: #1035).

 -- Matthias Klose <m@klose.in-berlin.de>  Mon,  6 Sep 2004 07:15:23 +0100

=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Gregor Hoffleit <flight@debian.org>
Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils
Standards-Version: 3.6.1

Package: python
Architecture: all
Priority: standard
Depends: python2.3 (>= 2.3.4-1)
Conflicts: python2.3 (<= 2.3.2-6), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2
Replaces: python2.3 (<= 2.3.2-6), python-xmlbase
Provides: python-email, python-xmlbase
Suggests: python-doc, python-tk
Description: An interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.3).

Package: python-tk
Architecture: all
Depends: python (>= 2.3), python (<< 2.4), python2.3-tk (>= 2.3.4-1)
Description: Tkinter - Writing Tk applications with Python (default version)
 A module for writing portable GUI applications with Python sing Tk.
 Also known as Tkinter.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.3).

Package: python-gdbm
Architecture: all
Depends: python (>= 2.3), python (<< 2.4), python2.3-gdbm (>= 2.3.4-1)
Description: GNU dbm database support for Python (default version)
 GNU dbm database module for Python. Install this if you want to
 create or read GNU dbm database files with Python.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.3).

Package: python-mpz
Architecture: all
Depends: python (>= 2.3), python (<< 2.4), python2.3-mpz (>= 2.3.4-1)
Description: Multiple-precision arithmetic support for Python (default version)
 Arbitrary precision arithmetic for Python using the GNU MP
 library, i.e. bignum support.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.3).

Package: python-examples
Architecture: all
Depends: python (>= 2.3), python (<< 2.4), python2.3-examples (>= 2.3.4-1)
Description: Examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.3).

Package: python-dev
Architecture: all
Depends: python (>= 2.3), python (<< 2.4), python2.3-dev (>= 2.3.4-1)
Description: Header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 Includes the python distutils, which were in a separate package up to
 version 1.5.2.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.3).

Package: idle
Architecture: all
Depends: python (>= 2.3), python (<< 2.4), idle-python2.3 (>= 2.3.4-1)
Description: An IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.3).

Package: python-doc
Section: doc
Architecture: all
Depends: python2.3-doc (>= 2.3.4-1)
Suggests: python
Conflicts: python-doc-info
Replaces: python-doc-info
Description: Documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.3). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.3).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

export VER=2.3
export NVER=2.4
export PVER=python2.3
export PRIORITY=$(shell echo $(VER) | tr -d '.')0

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
PREVVER := 2.3.4-1

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

build: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	touch stamp-doc-policy

stamp-doc: stamp-doc-policy
	touch stamp-doc

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
	    -e "s/@PRIO@/$(PY_PRIO)/g" \
		<debian/control.in >debian/control.tmp
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean:
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html
	rm -f faq/*.h2 faq/*.html

	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/@VER@/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/@VER@/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/share/doc/python/faq

	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo rest2html $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  rest2html $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/

	touch stamp-install

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i

	: # provide the python and python.1 defaults
	mkdir -p debian/python/usr/bin
	ln -sf python$(VER) debian/python/usr/bin/python
	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext

	mkdir -p debian/python/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python/usr/share/man/man1/python.1.gz
	ln -sf pydoc$(VER).1.gz \
		debian/python/usr/share/man/man1/pydoc.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python/usr/share/man/man1/pygettext.1.gz

	mkdir -p debian/python/usr/share/doc/python
	cp -a debian/python-policy.{html,sgml,txt} \
		debian/python/usr/share/doc/python/

	: # add symlinks to policy files
	mkdir -p debian/python/usr/share/doc/python$(VER)
	for ext in html sgml.gz txt.gz; do \
	  ln -sf ../python/python-policy.$$ext \
		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
	done

	mkdir -p debian/python-doc/usr/share/doc/python
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python/html

	mkdir -p debian/python/usr/share/apps/konsole
	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle/usr/bin
	ln -sf idle-python$(VER) debian/idle/usr/bin/idle

	mkdir -p debian/idle/usr/share/man/man1
	ln -sf idle-python$(VER).1.gz \
		debian/idle/usr/share/man/man1/idle.1.gz

	mkdir -p debian/python-tk/usr/share/doc/python-tk
	cp -p debian/README.Tk debian/python-tk/usr/share/doc/python-tk/

#	dh_installdebconf -i
	dh_installdocs -i --all debian/README.Debian
	dh_installmenu -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
# nothing to do

binary: binary-indep binary-arch

.PHONY: control-file configure build clean binary-indep binary-arch binary install

# Local Variables:
# mode: makefile
# end:

## python-defaults 2.3.5-2

=== debian/changelog ===
python-defaults (2.3.5-2) unstable; urgency=low

  * Add valgrind support file /usr/lib/valgrind/python.supp (closes: #291128).
  * python-doc: Add an conflict/replace to older python packages.
    Closes: #297266.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Mar 2005 22:49:29 +0100

python-defaults (2.3.5-1) unstable; urgency=low

  * Depend on python-2.3.5 packages.
  * Update FAQ.
  * python suggests python-profiler.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Feb 2005 19:26:48 +0100

python-defaults (2.3.4-6) unstable; urgency=low

  * Add an 'Enhances: konsole' to the python package (closes: #286161).

 -- Matthias Klose <doko@debian.org>  Sun, 16 Jan 2005 12:53:58 +0100

python-defaults (2.3.4-5) unstable; urgency=low

  * Add conflict/replaces to ooold python-base package (closes: #279035).

 -- Matthias Klose <doko@debian.org>  Sun, 14 Nov 2004 11:44:14 +0100

python-defaults (2.3.4-4) unstable; urgency=low

  * Regenerate control file after adding python-docutils build dependency.
    Closes: #270177.

 -- Matthias Klose <doko@debian.org>  Mon,  6 Sep 2004 07:19:49 +0200

python-defaults (2.3.4-3) testing-proposed-updates; urgency=low

  * Unmodified 2.3.4-3sid, destination sarge, fixing build failure.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Aug 2004 18:24:25 +0200

python-defaults (2.3.4-3sid) unstable; urgency=low

  * Add build dependency on python-docutils (closes: #266550).

 -- Matthias Klose <doko@debian.org>  Wed, 18 Aug 2004 12:30:37 +0200

python-defaults (2.3.4-2sid) unstable; urgency=low

  * Add pdb and pdb.1 symlinks.
  * Update FAQ.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Aug 2004 16:17:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Uploaders: Gregor Hoffleit <flight@debian.org>
 Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils
 Standards-Version: 3.6.1
 
 Package: python
 Architecture: all
 Priority: standard
-Depends: python2.3 (>= 2.3.4-1)
-Conflicts: python2.3 (<= 2.3.2-6), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2
-Replaces: python2.3 (<= 2.3.2-6), python-xmlbase
+Depends: python2.3 (>= 2.3.4-18)
+Conflicts: python2.3 (<= 2.3.2-6), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2, python-base
+Replaces: python2.3 (<= 2.3.2-6), python-xmlbase, python-base
 Provides: python-email, python-xmlbase
-Suggests: python-doc, python-tk
+Suggests: python-doc, python-tk, python-profiler
+Enhances: konsole
 Description: An interactive high-level object-oriented language (default version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -24,7 +24,7 @@
 
 Package: python-tk
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-tk (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), python2.3-tk (>= 2.3.4-18)
 Description: Tkinter - Writing Tk applications with Python (default version)
  A module for writing portable GUI applications with Python sing Tk.
  Also known as Tkinter.
@@ -34,7 +34,7 @@
 
 Package: python-gdbm
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-gdbm (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), python2.3-gdbm (>= 2.3.4-18)
 Description: GNU dbm database support for Python (default version)
  GNU dbm database module for Python. Install this if you want to
  create or read GNU dbm database files with Python.
@@ -44,7 +44,7 @@
 
 Package: python-mpz
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-mpz (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), python2.3-mpz (>= 2.3.4-18)
 Description: Multiple-precision arithmetic support for Python (default version)
  Arbitrary precision arithmetic for Python using the GNU MP
  library, i.e. bignum support.
@@ -54,7 +54,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-examples (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), python2.3-examples (>= 2.3.4-18)
 Description: Examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -64,7 +64,7 @@
 
 Package: python-dev
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-dev (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), python2.3-dev (>= 2.3.4-18)
 Description: Header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -78,7 +78,7 @@
 
 Package: idle
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), idle-python2.3 (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), idle-python2.3 (>= 2.3.4-18)
 Description: An IDE for Python using Tkinter (default version)
  IDLE is an Integrated Development Environment for Python.
  IDLE is written using Tkinter and therefore quite platform-independent.
@@ -89,10 +89,10 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: python2.3-doc (>= 2.3.4-1)
+Depends: python2.3-doc (>= 2.3.4-18)
 Suggests: python
-Conflicts: python-doc-info
-Replaces: python-doc-info
+Conflicts: python-doc-info, python (<< 2.3.5)
+Replaces: python-doc-info, python (<< 2.3.5)
 Description: Documentation for the high-level object-oriented language Python
  This is the official set of documentation for the interactive high-level
  object-oriented language Python (v2.3). All documents are provided

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export PRIORITY=$(shell echo $(VER) | tr -d '.')0
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.3.4-1
+PREVVER := 2.3.4-18
 
 PWD		:= $(shell pwd)
 
@@ -22,6 +22,8 @@
 scriptdir	=  usr/share/lib/python$(VER)
 scriptdir	=  usr/share/python$(VER)
 scriptdir	=  usr/lib/python$(VER)
+
+rst2html	= $(PVER) /usr/share/python-docutils/rst2html.py
 
 build: stamp-build
 stamp-build:
@@ -107,9 +109,9 @@
 	cd faq && \
 	for p in *.ht; do \
 	  p=`basename $$p .ht`; \
-	  echo rest2html $$p.ht $$p.html; \
+	  echo $(rst2html) $$p.ht $$p.html; \
 	  awk 'NR > 2' $$p.ht > $$p.ht2; \
-	  rest2html $$p.ht2 $$p.html; \
+	  $(rst2html) $$p.ht2 $$p.html; \
 	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
 	  rm -f $$p.ht2; \
 	done
@@ -128,6 +130,7 @@
 	ln -sf python$(VER) debian/python/usr/bin/python
 	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
 	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
+	ln -sf pdb$(VER) debian/python/usr/bin/pdb
 
 	mkdir -p debian/python/usr/share/man/man1
 	ln -sf python$(VER).1.gz \
@@ -136,6 +139,8 @@
 		debian/python/usr/share/man/man1/pydoc.1.gz
 	ln -sf pygettext$(VER).1.gz \
 		debian/python/usr/share/man/man1/pygettext.1.gz
+	ln -sf pdb$(VER).1.gz \
+		debian/python/usr/share/man/man1/pdb.1.gz
 
 	mkdir -p debian/python/usr/share/doc/python
 	cp -a debian/python-policy.{html,sgml,txt} \
@@ -154,6 +159,10 @@
 
 	mkdir -p debian/python/usr/share/apps/konsole
 	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/
+
+	mkdir -p debian/python/usr/lib/valgrind
+	cp -p debian/valgrind-python.supp \
+		debian/python/usr/lib/valgrind/python.supp
 
 	: # provide the idle and idle.1 defaults
 	mkdir -p debian/idle/usr/bin

## python-defaults 2.4.1-0ubuntu2

=== debian/changelog ===
python-defaults (2.4.1-0ubuntu2) hoary; urgency=low

  * Fix python-dbg dependency.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Mar 2005 08:39:44 +0200

python-defaults (2.4.1-0ubuntu1) hoary; urgency=low

  * Tighten dependencies to 2.4.1.
  * Update the FAQ.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Mar 2005 01:26:33 +0200

python-defaults (2.4-0ubuntu7) hoary; urgency=low

  * Add valgrind support file /usr/lib/valgrind/python.supp.
  * python-doc: Add an conflict/replace to older python packages (conflicting
    html link).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Mar 2005 22:55:17 +0100

python-defaults (2.4-0ubuntu6) hoary; urgency=low

  * python suggests python-profiler.
  * Add python-dbg package.
  * Update the FAQ.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2005 11:46:42 +0100

python-defaults (2.4-0ubuntu5) hoary; urgency=low

  * Mark the python-minimal package as "essential".

 -- Matthias Klose <doko@ubuntu.com>  Wed,  9 Feb 2005 15:25:39 +0100

python-defaults (2.4-0ubuntu4) hoary; urgency=low

  * Add missing Depends; python-minimal to python package.

 -- LaMont Jones <lamont@canonical.com>  Tue, 21 Dec 2004 08:12:42 -0700

python-defaults (2.4-0ubuntu3) hoary; urgency=low

  * Add python-minimal package.

 -- Matthias Klose <m@klose.in-berlin.de>  Mon, 20 Dec 2004 22:29:30 +0100

python-defaults (2.4-0ubuntu2) hoary; urgency=low

  * Add build dependency on python2.4.

 -- Matthias Klose <m@klose.in-berlin.de>  Thu, 16 Dec 2004 11:02:54 +0100

python-defaults (2.4-0ubuntu1) hoary; urgency=low

  * Make python2.4 the default python version.

 -- Matthias Klose <m@klose.in-berlin.de>  Wed, 15 Dec 2004 15:48:36 +0100

=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils, python, python2.4
Standards-Version: 3.6.1

Package: python
Architecture: all
Priority: standard
Depends: python2.4 (>= 2.4.1), python-minimal
Conflicts: python2.3 (<= 2.3.2-6), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2, python-base
Replaces: python2.3 (<= 2.3.2-6), python-xmlbase, python-base
Provides: python-email, python-xmlbase
Suggests: python-doc, python-tk, python-profiler
Description: An interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-minimal
Architecture: all
Essential: yes
Priority: required
Depends: python2.4-minimal (>= 2.4.1)
Conflicts: python (<= 2.4-0ubuntu2)
Replaces: python (<= 2.4-0ubuntu2)
Description: A minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python-tk
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), python2.4-tk (>= 2.4.1)
Description: Tkinter - Writing Tk applications with Python (default version)
 A module for writing portable GUI applications with Python sing Tk.
 Also known as Tkinter.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-gdbm
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), python2.4-gdbm (>= 2.4.1)
Description: GNU dbm database support for Python (default version)
 GNU dbm database module for Python. Install this if you want to
 create or read GNU dbm database files with Python.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-examples
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), python2.4-examples (>= 2.4.1)
Description: Examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-dev
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), python2.4-dev (>= 2.4.1)
Description: Header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 Includes the python distutils, which were in a separate package up to
 version 1.5.2.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: idle
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), idle-python2.4 (>= 2.4.1)
Description: An IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-doc
Section: doc
Architecture: all
Depends: python2.4-doc (>= 2.4.1)
Suggests: python
Conflicts: python-doc-info, python (<< 2.3.5)
Replaces: python-doc-info, python (<< 2.3.5)
Description: Documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.4). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-dbg
Architecture: all
Priority: extra
Depends: python (>= 2.4), python2.4-dbg (>= 2.4.1)
Description: Debug Build of the Python Interpreter (version 2.4)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.4/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,13 @@
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-export VER=2.3
-export NVER=2.4
-export PVER=python2.3
+export VER=2.4
+export NVER=2.5
+export PVER=python2.4
 export PRIORITY=$(shell echo $(VER) | tr -d '.')0
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.3.4-18
+PREVVER := 2.4.1
 
 PWD		:= $(shell pwd)
 
@@ -68,7 +68,7 @@
 	) >> faq/FAQ.ht
 	rm -f faq/index.ht
 
-clean:
+clean: control-file
 	dh_testdir
 	dh_testroot
 	rm -f stamp-*
@@ -126,15 +126,18 @@
 	dh_testroot -i
 
 	: # provide the python and python.1 defaults
+	mkdir -p debian/python-minimal/usr/bin
+	ln -sf python$(VER) debian/python-minimal/usr/bin/python
+	mkdir -p debian/python-minimal/usr/share/man/man1
+	ln -sf python$(VER).1.gz \
+		debian/python-minimal/usr/share/man/man1/python.1.gz
+
 	mkdir -p debian/python/usr/bin
-	ln -sf python$(VER) debian/python/usr/bin/python
 	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
 	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
 	ln -sf pdb$(VER) debian/python/usr/bin/pdb
 
 	mkdir -p debian/python/usr/share/man/man1
-	ln -sf python$(VER).1.gz \
-		debian/python/usr/share/man/man1/python.1.gz
 	ln -sf pydoc$(VER).1.gz \
 		debian/python/usr/share/man/man1/pydoc.1.gz
 	ln -sf pygettext$(VER).1.gz \
@@ -160,6 +163,13 @@
 	mkdir -p debian/python/usr/share/apps/konsole
 	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/
 
+	: # provide the python-dbg and python-dbg.1 defaults
+	mkdir -p debian/python-dbg/usr/bin
+	ln -sf python$(VER)-dbg debian/python-dbg/usr/bin/python-dbg
+	mkdir -p debian/python-dbg/usr/share/man/man1
+	ln -sf python$(VER)-dbg.1.gz \
+		debian/python-dbg/usr/share/man/man1/python-dbg.1.gz
+
 	mkdir -p debian/python/usr/lib/valgrind
 	cp -p debian/valgrind-python.supp \
 		debian/python/usr/lib/valgrind/python.supp
@@ -179,6 +189,8 @@
 	dh_installdocs -i --all debian/README.Debian
 	dh_installmenu -i
 	dh_installchangelogs -i
+	rm -rf debian/python-minimal/usr/share/doc/python-minimal
+	ln -sf python$(VER)-minimal debian/python-minimal/usr/share/doc/python-minimal
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i

## python-defaults 2.4.2-0ubuntu2

=== debian/changelog ===
python-defaults (2.4.2-0ubuntu2) breezy; urgency=low

  * Revert changes from 2.4.1-0ubuntu3, not for breezy

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  7 Oct 2005 09:14:56 -0700

python-defaults (2.4.2-0ubuntu1) breezy; urgency=low

  * Depend on python2.4 2.4.2.
  * Update FAQ.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  7 Oct 2005 04:24:11 +0200

python-defaults (2.4.1-0ubuntu3) breezy; urgency=low

  * Add two dependency packages python-all and python-all-dev. These
    packages are used as build dependencies to determine the set of
    python version and implementations, which should be supported.
    Currently it depends on python2.3 and python2.4.  Future versions
    may add an updated version of jython and ironpython.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jun 2005 15:25:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: python
 Architecture: all
 Priority: standard
-Depends: python2.4 (>= 2.4.1), python-minimal
+Depends: python2.4 (>= 2.4.2), python-minimal
 Conflicts: python2.3 (<= 2.3.2-6), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2, python-base
 Replaces: python2.3 (<= 2.3.2-6), python-xmlbase, python-base
 Provides: python-email, python-xmlbase
@@ -25,7 +25,7 @@
 Architecture: all
 Essential: yes
 Priority: required
-Depends: python2.4-minimal (>= 2.4.1)
+Depends: python2.4-minimal (>= 2.4.2)
 Conflicts: python (<= 2.4-0ubuntu2)
 Replaces: python (<= 2.4-0ubuntu2)
 Description: A minimal subset of the Python language (default version)
@@ -36,7 +36,7 @@
 
 Package: python-tk
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), python2.4-tk (>= 2.4.1)
+Depends: python (>= 2.4), python (<< 2.5), python2.4-tk (>= 2.4.2)
 Description: Tkinter - Writing Tk applications with Python (default version)
  A module for writing portable GUI applications with Python sing Tk.
  Also known as Tkinter.
@@ -46,7 +46,7 @@
 
 Package: python-gdbm
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), python2.4-gdbm (>= 2.4.1)
+Depends: python (>= 2.4), python (<< 2.5), python2.4-gdbm (>= 2.4.2)
 Description: GNU dbm database support for Python (default version)
  GNU dbm database module for Python. Install this if you want to
  create or read GNU dbm database files with Python.
@@ -56,7 +56,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), python2.4-examples (>= 2.4.1)
+Depends: python (>= 2.4), python (<< 2.5), python2.4-examples (>= 2.4.2)
 Description: Examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -66,7 +66,7 @@
 
 Package: python-dev
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), python2.4-dev (>= 2.4.1)
+Depends: python (>= 2.4), python (<< 2.5), python2.4-dev (>= 2.4.2)
 Description: Header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -80,7 +80,7 @@
 
 Package: idle
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), idle-python2.4 (>= 2.4.1)
+Depends: python (>= 2.4), python (<< 2.5), idle-python2.4 (>= 2.4.2)
 Description: An IDE for Python using Tkinter (default version)
  IDLE is an Integrated Development Environment for Python.
  IDLE is written using Tkinter and therefore quite platform-independent.
@@ -91,7 +91,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: python2.4-doc (>= 2.4.1)
+Depends: python2.4-doc (>= 2.4.2)
 Suggests: python
 Conflicts: python-doc-info, python (<< 2.3.5)
 Replaces: python-doc-info, python (<< 2.3.5)
@@ -116,7 +116,7 @@
 Package: python-dbg
 Architecture: all
 Priority: extra
-Depends: python (>= 2.4), python2.4-dbg (>= 2.4.1)
+Depends: python (>= 2.4), python2.4-dbg (>= 2.4.2)
 Description: Debug Build of the Python Interpreter (version 2.4)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.4/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export PRIORITY=$(shell echo $(VER) | tr -d '.')0
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.4.1
+PREVVER := 2.4.2
 
 PWD		:= $(shell pwd)

## python-defaults 2.4.2-0ubuntu3

=== debian/changelog ===
python-defaults (2.4.2-0ubuntu3) dapper; urgency=low

  * Add two dependency packages python-all and python-all-dev. These
    packages are used as build dependencies to determine the set of
    python version and implementations, which should be supported.
    Currently it depends on python2.3 and python2.4.  Future versions
    may add an updated version of jython and ironpython.
  * Update FAQ.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jan 2006 11:10:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils, python, python2.4
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: python
 Architecture: all
@@ -120,3 +120,27 @@
 Description: Debug Build of the Python Interpreter (version 2.4)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.4/lib-dynload/debug first.
+
+Package: python-all
+Architecture: all
+Priority: optional
+Depends: python2.4
+Description: Package depending on all supported Python runtime versions
+ The package currently depends on python2.3 and python2.4, in the future,
+ dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
+ may be added.
+ .
+ This package is used as a build dependency for other packages to
+ avoid hardcoded dependencies on specific Python runtimes.
+
+Package: python-all-dev
+Architecture: all
+Priority: optional
+Depends: python-all (>= 2.4), python2.4-dev
+Description: Package depending on all supported Python development packages
+ The package currently depends on python2.4-dev, in the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python
+ for Mono) may be added.
+ .
+ This package is used as a build dependency for other packages to
+ avoid hardcoded dependencies on specific Python development packages.

=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 	rm -f faq/*.h2 faq/*.html
 
 	for f in debian/*.in; do \
-	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/@VER@/$(VER)/g;s,\.in$$,,"`; \
+	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
 	    if [ $$f2 != debian/control ]; then \
 	        rm -f $$f2; \
 	    fi; \
@@ -90,7 +90,7 @@
 	: # We have to prepare the various control files
 
 	for f in debian/*.in; do \
-	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/@VER@/$(VER)/g;s,\.in$$,,"`; \
+	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
 	    if [ $$f2 != debian/control ]; then \
 		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
 		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
@@ -132,6 +132,9 @@
 	ln -sf python$(VER).1.gz \
 		debian/python-minimal/usr/share/man/man1/python.1.gz
 
+#	mkdir debian/python-minimal/usr/share/python-central
+#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/
+
 	mkdir -p debian/python/usr/bin
 	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
 	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
@@ -191,6 +194,8 @@
 	dh_installchangelogs -i
 	rm -rf debian/python-minimal/usr/share/doc/python-minimal
 	ln -sf python$(VER)-minimal debian/python-minimal/usr/share/doc/python-minimal
+	rm -rf debian/python-all-dev/usr/share/doc/python-all-dev
+	ln -sf python$(VER)-all debian/python-all-dev/usr/share/doc/python-all-dev
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
